Skip to content

모델 목록 ​

MCP 도구
list_generation_modelsList Generation Models
요청 제한
Default
API 권한
ai:generate

파일 생성에 사용할 수 있는 출력 형식과 모델을 반환합니다.

예시 ​

bash
curl 'https://api.youvico.com/api/ai/models' \
  -H 'Authorization: Bearer YOUR_API_KEY'
json
{
  "data": [
    {
      "outputType": "DOCUMENT",
      "models": [
        {
          "id": "pdf",
          "name": "PDF",
          "provider": null
        },
        {
          "id": "markdown",
          "name": "Markdown",
          "provider": null
        }
      ]
    },
    {
      "outputType": "IMAGE",
      "models": [
        {
          "id": "gpt-image-2.5-flare",
          "name": "GPT Image 2.5",
          "provider": "OPENAI"
        },
        {
          "id": "gpt-image-2",
          "name": "GPT Image 2",
          "provider": "OPENAI"
        },
        {
          "id": "gemini-3-pro-image",
          "name": "Nano Banana Pro",
          "provider": "GOOGLE"
        },
        {
          "id": "gemini-3.1-flash-image",
          "name": "Nano Banana 2",
          "provider": "GOOGLE"
        },
        {
          "id": "gemini-3.1-flash-lite-image",
          "name": "Nano Banana 2 Lite",
          "provider": "GOOGLE"
        }
      ]
    },
    {
      "outputType": "VIDEO",
      "models": [
        {
          "id": "seedance-2.5",
          "name": "Seedance 2.5",
          "provider": "BYTEDANCE",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["480p", "720p", "1080p"] },
            "durationSeconds": { "type": "enum", "options": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30] },
            "aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
          }
        },
        {
          "id": "seedance-2.0",
          "name": "Seedance 2.0",
          "provider": "BYTEDANCE",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["480p", "720p", "1080p", "4k"] },
            "durationSeconds": { "type": "enum", "options": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
            "aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
          }
        },
        {
          "id": "seedance-2.0-fast",
          "name": "Seedance 2.0 Fast",
          "provider": "BYTEDANCE",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["480p", "720p"] },
            "durationSeconds": { "type": "enum", "options": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
            "aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
          }
        },
        {
          "id": "seedance-2.0-mini",
          "name": "Seedance 2.0 Mini",
          "provider": "BYTEDANCE",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["480p", "720p"] },
            "durationSeconds": { "type": "enum", "options": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
            "aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
          }
        },
        {
          "id": "kling-3.0-omni",
          "name": "Kling 3.0 Omni",
          "provider": "KUAISHOU",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["720p", "1080p"] },
            "durationSeconds": { "type": "enum", "options": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
            "aspectRatio": { "type": "enum", "options": ["16:9", "9:16", "1:1"] }
          }
        },
        {
          "id": "kling-3.0",
          "name": "Kling 3.0",
          "provider": "KUAISHOU",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["720p", "1080p"] },
            "durationSeconds": { "type": "enum", "options": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
            "aspectRatio": { "type": "enum", "options": ["16:9", "9:16", "1:1"] }
          }
        },
        {
          "id": "kling-3.0-turbo",
          "name": "Kling 3.0 Turbo",
          "provider": "KUAISHOU",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["720p", "1080p"] },
            "durationSeconds": { "type": "enum", "options": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
            "aspectRatio": { "type": "enum", "options": ["16:9", "9:16", "1:1"] }
          }
        },
        {
          "id": "minimax-h3-max",
          "name": "MiniMax H3 Max",
          "provider": "MINIMAX",
          "configs": {
            "resolution": { "type": "enum", "options": ["480p", "768p", "1080p"] },
            "durationSeconds": { "type": "enum", "options": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
            "aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
          }
        },
        {
          "id": "minimax-h3",
          "name": "MiniMax H3",
          "provider": "MINIMAX",
          "configs": {
            "resolution": { "type": "enum", "options": ["768p", "2k"] },
            "durationSeconds": { "type": "enum", "options": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
            "aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
          }
        },
        {
          "id": "veo-3.1-generate-preview",
          "name": "Veo 3.1",
          "provider": "GOOGLE",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["720p", "1080p", "4k"] },
            "durationSeconds": { "type": "enum", "options": [8] },
            "aspectRatio": { "type": "enum", "options": ["16:9", "9:16"] }
          }
        },
        {
          "id": "veo-3.1-lite-generate-preview",
          "name": "Veo 3.1 Lite",
          "provider": "GOOGLE",
          "configs": {
            "generateAudio": { "type": "boolean" },
            "resolution": { "type": "enum", "options": ["720p", "1080p"] },
            "durationSeconds": { "type": "enum", "options": [8] },
            "aspectRatio": { "type": "enum", "options": ["16:9", "9:16"] }
          }
        }
      ]
    },
    {
      "outputType": "3D",
      "models": [
        {
          "id": "meshy-7",
          "name": "Meshy 7",
          "provider": "MESHY"
        },
        {
          "id": "hunyuan3d-3.1",
          "name": "Hunyuan3D 3.1",
          "provider": "TENCENT"
        }
      ]
    }
  ]
}

요청 ​

파라미터는 없습니다.

응답 ​

200 OK를 반환합니다.

dataarray
출력 형식별 모델 목록
data[].outputTypestring
출력 파일 형식

Possible values: DOCUMENTIMAGEVIDEO3D

Example: IMAGE

data[].modelsarray
출력 형식이 지원하는 모델 목록
data[].models[].idstring
모델 ID. 파일 생성의 outputModel 값

Example: gemini-3.1-flash-image

data[].models[].namestring
모델 표시 이름

Example: Nano Banana 2

data[].models[].providerstring?
모델 제작사. 문서 모델은 null

Possible values: OPENAIGOOGLEBYTEDANCEKUAISHOUMINIMAXTENCENTMESHY

Example: GOOGLE

data[].models[].configsobject
고급 설정. configs를 받는 모델만 포함
data[].models[].configs.generateAudioobject
오디오 생성 설정. generateAudio를 받는 모델만 포함
data[].models[].configs.generateAudio.typestring
설정 종류

Possible values: boolean

data[].models[].configs.resolutionobject
해상도 설정
data[].models[].configs.resolution.typestring
설정 종류

Possible values: enum

data[].models[].configs.resolution.optionsstring[]
지정할 수 있는 해상도 목록
data[].models[].configs.durationSecondsobject
출력 길이 설정
data[].models[].configs.durationSeconds.typestring
설정 종류

Possible values: enum

data[].models[].configs.durationSeconds.optionsnumber[]
지정할 수 있는 초 단위 길이 목록
data[].models[].configs.aspectRatioobject
화면 비율 설정
data[].models[].configs.aspectRatio.typestring
설정 종류

Possible values: enum

data[].models[].configs.aspectRatio.optionsstring[]
지정할 수 있는 화면 비율 목록